
Application: gvSIG desktop - gvSIG bugs #4066
Unique symbol name appears in the layer legend
01/29/2016 10:45 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Symbology
Target version: 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2415 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The name of the chosen unique symbol is set in the layer legend. See the screenshot in attachment.

Associated revisions
Revision 42706 - 02/10/2016 12:30 PM - Daniel Martinez

refs #4066 Was loading directly the symbol, without updating its text in SingleSymbol.

History
#1 - 02/05/2016 08:38 AM - Joaquín  del Cerro Murciano
- Assignee set to Daniel Martinez

#2 - 02/05/2016 02:00 PM - Daniel Martinez
- Status changed from New to In progress

#3 - 02/08/2016 09:19 AM - Daniel Martinez

Can you tell us how can we reproduce this error, please? We have tried to do it, but we couldn't.

#4 - 02/08/2016 10:05 AM - Antonio Falciano
Hi Daniel, these are the steps to follow in order to reproduce the issue:
    -  add a polygon vector layer in a view;
    -  open its properties and click on the Simbology tab;
    -  in "Unique symbol" click on the "Select symbol" button and then choose one among the gvSIG Basic library, click on Ok, Apply, etc.

Result: the symbol name is shown in the layer legend

#5 - 02/10/2016 12:33 PM - Daniel Martinez
- Status changed from In progress to Fixed

#6 - 02/12/2016 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
#7 - 02/15/2016 01:32 PM - Álvaro Anguix
- Status changed from Fixed to Closed
